## libtlsrpt 0.5.0.

=== man/Makefile ===
#
#    Copyright (C) 2025 sys4 AG
#    Author Boris Lohner bl@sys4.de
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.
#    If not, see <http://www.gnu.org/licenses/>.
#

TARGETS = tlsrpt_add_delivery_request_failure.3
TARGETS += tlsrpt_add_mx_host_pattern.3
TARGETS += tlsrpt_add_policy_string.3
TARGETS += tlsrpt_cancel_delivery_request.3
TARGETS += tlsrpt_close.3
TARGETS += tlsrpt_errno_from_error_code.3
TARGETS += tlsrpt_error_code_is_internal.3
TARGETS += tlsrpt_finish_delivery_request.3
TARGETS += tlsrpt_finish_policy.3
TARGETS += tlsrpt_get_socket.3
TARGETS += tlsrpt_init_delivery_request.3
TARGETS += tlsrpt_init_policy.3
TARGETS += tlsrpt_open.3
TARGETS += tlsrpt_set_blocking.3
TARGETS += tlsrpt_set_malloc_and_free.3
TARGETS += tlsrpt_set_nonblocking.3
TARGETS += tlsrpt_strerror.3
TARGETS += tlsrpt_version.3
TARGETS += tlsrpt_version_check.3

.phony: all clean

all: ${TARGETS}

%.3 : %.adoc manpage-*.adoc Makefile
	asciidoctor -b manpage $<

clean:
	rm ${TARGETS}

## libtlsrpt 0.5.0rc1

=== debian/changelog ===
libtlsrpt (0.5.0rc1-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 16 Feb 2025 21:41:27 +0100

libtlsrpt (0.5.0rc1-1) unstable; urgency=low

  * Initial packaging.  Closes: #1094568

 -- Simon Josefsson <simon@josefsson.org>  Wed, 29 Jan 2025 18:43:01 +0100

=== debian/control ===
Source: libtlsrpt
Priority: optional
Maintainer: Simon Josefsson <simon@josefsson.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Section: libs
Homepage: https://github.com/sys4/libtlsrpt
Vcs-Browser: https://salsa.debian.org/debian/libtlsrpt
Vcs-Git: https://salsa.debian.org/debian/libtlsrpt.git
Rules-Requires-Root: no

Package: libtlsrpt0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library to implement TLSRPT reporting into an MTA (shared lib)
 libtlsrpt is a low-level C Library. It provides functions that help
 generate TLSRPT datagrams. Included into a MTA it assists the MTA in
 collecting and sending these datagrams to a TLSRPT reporting service
 where they can be collected, summarized and finally sent to a mail
 platform that requests TLSRPT reports.
 .
 The keyword TLSRPT refers to an IETF Standard for SMTP TLS Reporting
 as defined in RFC 8460. SMTP TLS Reporting standardizes informing
 other mail platforms of successes and failures establishing a SMTP
 TLS session between a sending and a receiving MTA. It helps to find
 out if a receiving (e.g. your) platform has issues regarding TLS or
 if the sending platform runs into TLS problems
 (i.e. Machine-in-the-Middle attack, STARTTLS downgrade) while it
 tries to establish a TLS protected session with a receiver.
 .
 This package contains the static and shared C "libtlsrpt" library.

Package: libtlsrpt0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libtlsrpt0 (= ${binary:Version}),
 ${misc:Depends},
Description: library to implement TLSRPT reporting into an MTA (dev files)
 libtlsrpt is a low-level C Library. It provides functions that help
 generate TLSRPT datagrams. Included into a MTA it assists the MTA in
 collecting and sending these datagrams to a TLSRPT reporting service
 where they can be collected, summarized and finally sent to a mail
 platform that requests TLSRPT reports.
 .
 The keyword TLSRPT refers to an IETF Standard for SMTP TLS Reporting
 as defined in RFC 8460. SMTP TLS Reporting standardizes informing
 other mail platforms of successes and failures establishing a SMTP
 TLS session between a sending and a receiving MTA. It helps to find
 out if a receiving (e.g. your) platform has issues regarding TLS or
 if the sending platform runs into TLS problems
 (i.e. Machine-in-the-Middle attack, STARTTLS downgrade) while it
 tries to establish a TLS protected session with a receiver.
 .
 This package contains development files.

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/sys4/libtlsrpt/releases?per_page=100 \
https://github.com/sys4/libtlsrpt/releases/download/v[0-9a-z.]+/libtlsrpt-@ANY_VERSION@@ARCHIVE_EXT@

## libtlsrpt 0.5.0.

=== debian/changelog ===
libtlsrpt (0.5.0.-1) unstable; urgency=medium

  * Use watch v5.
  * New upstream version 0.5.0.
    - Uses 0.5.0.-1 to sort after 0.5.0rc1-2, until 0.5.1.
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Bump upstream copyright years.
  * Tighten Salsa CI.
  * Bump symbols.
  * Add lrc.excludes.
  * Add simple debci check.
  * Re-generate man-pages.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 02 Nov 2025 23:29:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Maintainer: Simon Josefsson <simon@josefsson.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.7.0
+ asciidoctor <!nodoc>,
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/sys4/libtlsrpt
 Vcs-Browser: https://salsa.debian.org/debian/libtlsrpt
 Vcs-Git: https://salsa.debian.org/debian/libtlsrpt.git
-Rules-Requires-Root: no
 
 Package: libtlsrpt0
 Architecture: any

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_before_dh_auto_build:
	rm -fv man/*.3
	$(MAKE) -C man
endif

=== debian/tests/control ===
Tests:
 libtlsrpt,
Depends:
 build-essential,
 libtlsrpt0-dev,

=== debian/watch ===
Version: 5
Template: Github
Owner: sys4
Project: libtlsrpt
Uversionmangle: s/(\d)[_\.\-\+]?((?:RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/; s/0.5.0/0.5.0./
